html,
body {
  height: 100%
}

* {
  box-sizing: border-box
}

body {
  margin: 0;
  overflow: hidden;
  background: var(--background-shade) var(--background-pattern);
  font-family: var(--default-font);
  color: var(--default-color);
  font-size: var(--default-size)
}

.slice {
  position: absolute;
  background: linear-gradient(var(--dark-gradient) 50%, var(--light-gradient) 65%);
  height: 150%;
  width: 100%;
  transform: rotate(45deg);
  transform-origin: bottom left;
  bottom: 0;
  left: 47.1vw;
  overflow: hidden
}

.slice .pattern {
  position: absolute;
  top: -72vw;
  left: -30vw;
  height: 200%;
  width: 200%;
  background: var(--content-pattern) center;
  transform: rotate(-45deg)
}

.container {
  position: absolute;
  bottom: -5vh;
  left: 9.4vw;
  height: 50vw;
  width: 50vw;
  transform: rotate(45deg);
  background: var(--diamond-color) var(--background-pattern) fixed
}

.container::before {
  content: '';
  position: absolute;
  height: 34vw;
  width: 34vw;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: linear-gradient(to top left, var(--dark-gradient) 50%, var(--light-gradient) 65%)
}

.container::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  height: 50vw;
  width: 8vw;
  background: var(--diamond-color) var(--background-pattern) fixed
}

.image {
  position: absolute;
  bottom: -18vw;
  right: 18vw;
  height: 66vw;
  width: 67vw;
  transform: rotate(-45deg);
  transform-origin: top;
  background: var(--main-image) center/auto 100% no-repeat
}

#abilities {
  position: absolute;
  top: 3%;
  right: 21%;
  height: fit-content;
  min-height: 10vw;
  width: 14vw;
  display: flex;
  flex-flow: column wrap;
  justify-content: flex-start;
  align-items: center;
  align-content: center
}

.ability:first-child {
  width: 15vw;
  height: 1.5vw
}

.ability:first-child::before {
  font-weight: bold;
  font-size: 3vh
}

.ability {
  position: relative;
  width: 100%;
  margin: .5vw 0;
  height: 1vw;
  width: 14vw;
  border-radius: 40px;
  background: var(--ability-bar);
  border: .1vh solid var(--ability-meter)
}

.ability .meter {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  border-radius: 40px;
  background: var(--ability-meter)
}

.ability::before {
  content: attr(ability);
  position: absolute;
  top: 50%;
  left: 0;
  transform: translate(-100%, -50%);
  margin-left: -.5vw;
  color: var(--ability-name);
  font-size: 2.5vh
}

#name {
  position: absolute;
  top: 29%;
  right: 43%;
  font-family: var(--name-font);
  font-size: 8vh
}

#name::after {
  content: attr(subtitle);
  position: absolute;
  bottom: 0;
  left: 0;
  width: 50vw;
  pointer-events: none;
  transform: translateY(120%);
  font-family: var(--default-font);
  font-size: 2.5vh;
  letter-spacing: .5vh
}

#title {
  position: absolute;
  transform-origin: right;
  height: 7.9vw;
  width: 34vw;
  bottom: 21vw;
  right: 33.7vw;
  transform: rotate(-45deg);
  padding: 2vw 0 0 2vh;
  font-size: 5vh;
  font-weight: bolder;
  color: var(--title);
  line-height: 2vh
}

#title span {
  color: var(--title-span);
  font-size: 3vh;
  font-weight: normal;
  display: flex;
  flex-flow: row wrap;
  line-height: normal
}

span::after {
  content: "";
  flex: 1 1 auto;
  height: .5vh;
  margin-left: 2vh;
  align-self: center;
  background: linear-gradient(to right, currentColor, transparent 80%)
}

.tabs {
  position: absolute;
  overflow: visible;
  bottom: -19.5%;
  height: 34vw;
  left: -1.4vw;
  width: 8vw;
  display: flex;
  flex-flow: column wrap;
  justify-content: space-evenly;
  align-items: center;
  align-content: center;
  transform: rotate(-45deg);
  transform-origin: top
}

.tab label[for*="tab"] {
  position: relative;
  float: left;
  height: 7vw;
  width: 7vw;
  background: var(--tab);
  -webkit-mask: url(https://i.imgur.com/d8lpJ72.png) center/100% no-repeat;
  mask: url(https://i.imgur.com/d8lpJ72.png) center/100% no-repeat;
  margin: 0;
  padding: 1vh;
  z-index: 400;
  text-align: center;
  transition: all .2s ease
}

label[for*="tab"]::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  -webkit-mask-position: center 25%;
  -webkit-mask-repeat: no-repeat;
  background: var(--diamond-color);
  transition: all .2s ease
}

label[for*="tab"]::after {
  content: attr(tabName);
  position: absolute;
  bottom: 15%;
  left: 50%;
  transform: translate(-50%);
  color: var(--diamond-color);
  transition: all .2s ease
}

label[for="tab-1"]::before {
  -webkit-mask-image: url(https://themonstrousdev.github.io/assets/icons/laplace-tab-1.png);
  -webkit-mask-size: auto 55%
}

label[for="tab-2"]::before {
  -webkit-mask-image: url(https://themonstrousdev.github.io/assets/icons/laplace-tab-2.png);
  -webkit-mask-size: auto 45%
}

label[for="tab-3"]::before {
  -webkit-mask-image: url(https://themonstrousdev.github.io/assets/icons/laplace-tab-3.png);
  -webkit-mask-size: auto 45%
}

label[for="tab-4"]::before {
  -webkit-mask-image: url(https://themonstrousdev.github.io/assets/icons/laplace-tab-4.png);
  -webkit-mask-size: auto 50%
}

[type=radio]:checked+label,
.tab label:hover {
  background: var(--tab-hover);
  cursor: pointer
}

.tab label[for*="cont"] {
  color: var(--bold);
  font-weight: bold;
  padding: .5vh;
  border-radius: 1vh;
  transition: all .3s ease-in-out
}

.tab label[for*="cont"]:hover {
  background: var(--tab);
  color: #ddd
}

[type=radio]:checked+label::before,
.tab label:hover::before {
  background: var(--tab)
}

[type=radio]:checked~label::after,
.tab label:hover::after {
  color: var(--tab)
}

.tab [type=radio] {
  display: none
}

.content {
  position: fixed;
  top: 45vw;
  left: 37.6vw;
  width: 37vw;
  height: 40vw;
  overflow: hidden;
  text-align: right;
  z-index: 20;
  padding: 2vh;
  transform: rotate(45deg);
  box-sizing: border-box;
  opacity: 0;
  pointer-events: none;
  transition: all .3s ease-in-out
}

.content .cont {
  position: absolute;
  top: 5vw;
  left: 5vw;
  padding-right: 1vh;
  opacity: 0;
  width: 100%;
  pointer-events: none;
  transition: all .3s ease-in-out;
  overflow: hidden;
  max-height: 90%
}

.content label {
  position: absolute;
  bottom: 1%
}

label.next {
  right: 10%;
  opacity: 0;
  pointer-events: none
}

label.prev {
  left: 10%;
  opacity: 0;
  pointer-events: none
}

h1 {
  margin-top: 5vw;
  font-size: 4.5vh;
  color: var(--header)
}

[type=radio]:checked+label+.content {
  top: 39.5vw;
  opacity: 1;
  pointer-events: all
}

[type=radio]:checked+label+.cont {
  top: 1vw;
  left: 0;
  opacity: 1;
  pointer-events: all
}

[type=radio]:checked+label+.cont+label.prev {
  opacity: 1;
  pointer-events: all
}

[type=radio]:checked+label+.cont+label.prev+input+label.next {
  opacity: 1;
  pointer-events: all
}

.sep {
  display: flex;
  flex-flow: column wrap;
  justify-content: flex-start;
  align-items: flex-end;
  align-content: flex-end
}

.item {
  float: right;
  padding: 1vh;
  background: var(--item-pill);
  border-radius: 40px;
  margin: 1vh 0;
  width: fit-content;
  display: block
}

.item span {
  color: var(--item-span);
  border-right: .2vh solid currentColor;
  padding-right: 1vh;
  display: inline-block;
  margin-right: 1vh
}

a {
  text-decoration: none;
  color: var(--link);
  transition: all .2s ease-in-out
}

a:hover {
  color: var(--link-hover)
}

ol {
  list-style: none
}

ol li {
  counter-increment: item;
  margin-bottom: 2vh
}

ol li::before {
  content: '0'counter(item) '. ';
  margin-right: 1vh;
  font-weight: bold;
  color: var(--bold)
}

b {
  color: var(--bold)
}

i {
  color: var(--italics)
}

ol li:nth-of-type(n+10)::before {
  content: counter(item) '. '
}
